; ############  DIRECTOR AND EVENT CHANGES  ###########
; =====================================================
; ==          DIRECTOR & EVENT MODIFICATION          ==
; ==       Modify director behaviour and events      ==
; =====================================================


; ################  ITEM SPAWN CHANGES  ###############
; =====================================================
; ==                  SAFEROOM ITEMS                 ==
; ==    Saferoom item spawns - ammo piles, weapons   ==
; =====================================================

; =====================================================
; ==           PILL / ITEM / WEAPON SPAWNS           ==
; ==   Remove or change pill, item & weapon spawns   ==
; =====================================================
; --- Add an uzi spawn to the kitchen in kiddyland
add:
{
	"classname" "weapon_spawn"
	"origin" "-2984 -1373 -87"
	"angles" "0 98 -90"
	"weapon_selection" "any_smg"
	"spawn_without_director" "1"
	"solid" "6"
	"disableshadows" "1"
	"spawnflags" "2"
	"count" "5"
}

; =====================================================
; ==                STATIC AMMO PILES                ==
; ==          Add or modify ammo pile spawns         ==
; =====================================================
add:
; --- Ammo pile before the Kiddyland ramp
{
	"classname" "weapon_ammo_spawn"
	"origin" "722 -88 0"
	"angles" "0 0 0"
	"model" "models/props/terror/ammo_stack.mdl"
	"solid" "6"
	"disableshadows" "1"
	"spawnflags" "2"
	"count" "5"
}
; --- Ammo pile after the one way drop
{
	"classname" "weapon_ammo_spawn"
	"origin" "-1988 -4409 -124"
	"angles" "0 0 0"
	"model" "models/props/terror/ammo_stack.mdl"
	"solid" "6"
	"disableshadows" "1"
	"spawnflags" "2"
	"count" "5"
}

; =====================================================
; ==                 HITTABLE CHANGES                ==
; ==           Add/remove/modify hittables           ==
; =====================================================
; --- Move a dumpster at the start of the map to a more viable location, and provide a hittable option for the opened scavenge area
modify:
{
	match:
	{
		"hammerid" "316196"
	}
	replace:
	{
		"origin" "884 1664 0.250002"
		"angles" "0 0 0"
	}
}
; --- Tweak the position of the forklift at the start
{
	match:
	{
		"hammerid" "1119740"
	}
	replace:
	{
		"origin" "2581 -1642 3"
		"angles" "0 270 0"
		"spawnflags" "256"
	}
}
; --- Add a hittable dumpster by the slide
add:
{
	"classname" "prop_physics"
	"origin" "-2087 -1830 -126"
	"angles" "0 270 0"
	"model" "models/props_junk/dumpster_2.mdl"
	"solid" "6"
	"fadescale" "0"
	"spawnflags" "256"
}
; --- Replace model of TLS 2009 forklift
{
	"classname" "logic_auto"
	; --- Remove TLS forklift
	"OnMapSpawn" "anv_mapfixes_hittable_2009forklift,Kill,,15,-1"
	; --- Spawn new forklift
	"OnMapSpawn" "forklift_2009_replacement_template,ForceSpawn,,16,-1"
}
{
	"classname" "prop_physics_override"
	"origin" "-3666 -1321 -111"
	"angles" "0 135 0"
	"model" "models/props\cs_assault\forklift_brokenlift.mdl"
	"solid" "6"
	"targetname" "forklift_2009_replacement"
	"fadescale" "0"
}
; --- Template to spawn the forklift
{
	"classname" "point_template"
	"targetname" "forklift_2009_replacement_template"
	"Template01" "forklift_2009_replacement"
	"spawnflags" "2"
}

; #############  MAP CLIPPING AND ISSUES  #############
; =====================================================
; ==                 EXPLOITS BLOCKED                ==
; ==      Block intentionally performed exploits     ==
; =====================================================
add:
; --- Block standing on tents by the start saferoom
{
	"classname" "env_physics_blocker"
	"origin" "1906 1092 456"
	"mins" "-130 -64 -312.5"
	"maxs" "130 64 312.5"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Block standing on hedges by the restrooms at the start of the map
{
	"classname" "env_physics_blocker"
	"origin" "3031 1582 454"
	"mins" "-25 -280 -314"
	"maxs" "25 280 314"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Block climbing the generator near the start saferoom
{
	"classname" "env_physics_blocker"
	"origin" "2789 971 97"
	"mins" "-6 -6 -98"
	"maxs" "6 6 98"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Block the 2 game buildings at the start of the map
{
	"classname" "env_physics_blocker"
	"origin" "2720 512 442"
	"mins" "-184 -216 -326"
	"maxs" "184 216 326"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "2720 0 444"
	"mins" "-194 -162 -324"
	"maxs" "194 162 324"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Block standing on hedges between restrooms and refreshments building
{
	"classname" "env_physics_blocker"
	"origin" "3728 1233 450"
	"mins" "-128 -31 -318"
	"maxs" "128 31 318"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "3833 1068 450"
	"mins" "-23 -134 -318"
	"maxs" "23 134 318"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Block shipping container by gun table
{
	"classname" "env_physics_blocker"
	"origin" "3169 -1264 457"
	"mins" "-66.5 -196 -311"
	"maxs" "66.5 196 311"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Block tents by gun table
{
	"classname" "env_physics_blocker"
	"origin" "3374 -1248 457"
	"mins" "-64 -64 -311"
	"maxs" "64 64 311"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "3391 -1089 457"
	"angles" "0 334 0"
	"mins" "-68 -68 -311"
	"maxs" "68 68 311"
	"boxmins" "-68 -68 -311"
	"boxmaxs" "68 68 311"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Block hotdog stands before the warehouse
{
	"classname" "env_physics_blocker"
	"origin" "3473 -1964 455"
	"mins" "-108 -53 -312.5"
	"maxs" "108 53 312.5"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "3698 -1910 455"
	"angles" "0 14 0"
	"mins" "-108 -53 -312.5"
	"maxs" "108 53 312.5"
	"boxmins" "-108 -53 -312.5"
	"boxmaxs" "108 53 312.5"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Block electrical box by the hotdog stands
{
	"classname" "env_physics_blocker"
	"origin" "3778 -2176 458"
	"mins" "-70 -24 -310"
	"maxs" "70 24 310"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Block group of tents before the warehouse
; --- Front group of 2
{
	"classname" "env_physics_blocker"
	"origin" "3872 -814 457"
	"angles" "0 96.5 0"
	"mins" "-67 -64 -311"
	"maxs" "67 64 311"
	"boxmins" "-67 -64 -311"
	"boxmaxs" "67 64 311"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "3838 -960 457"
	"mins" "-67 -64 -311"
	"maxs" "67 64 311"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Front group of 3
{
	"classname" "env_physics_blocker"
	"origin" "3838 -1344 457"
	"mins" "-67 -64 -311"
	"maxs" "67 64 311"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "3832 -1472 457"
	"mins" "-68 -64 -311"
	"maxs" "68 64 311"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "3832 -1606 457"
	"angles" "0 -3 0"
	"mins" "-67 -64 -311"
	"maxs" "67 64 311"
	"boxmins" "-67 -64 -311"
	"boxmaxs" "67 64 311"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Middle group of 2
{
	"classname" "env_physics_blocker"
	"origin" "3968 -1536 457"
	"mins" "-64 -128 -311"
	"maxs" "64 128 311"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Back row
{
	"classname" "env_physics_blocker"
	"origin" "4365 -632 457"
	"angles" "0 5 0"
	"mins" "-67 -64 -311"
	"maxs" "67 64 311"
	"boxmins" "-67 -64 -311"
	"boxmaxs" "67 64 311"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "4349 -896 457"
	"mins" "-67 -192 -311"
	"maxs" "67 192 311"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "4338 -1216 457"
	"mins" "-68 -128 -311"
	"maxs" "68 128 311"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "4349 -1472 457"
	"mins" "-67 -64 -311"
	"maxs" "67 64 311"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Block climbing on the generator outside the warehouse
{
	"classname" "env_physics_blocker"
	"origin" "2891 -1726 143"
	"mins" "-10 -5.5 -143"
	"maxs" "10 5.5 143"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Block standing on the shutter door outside the warehouse entrance
{
	"classname" "env_physics_blocker"
	"origin" "2752 -1547 194"
	"mins" "-72 -12 -46"
	"maxs" "72 12 46"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Block survivors from getting on the warehouse roof
{
	"classname" "env_physics_blocker"
	"origin" "2048 -1024 519"
	"mins" "-1040 -544 -249"
	"maxs" "1040 544 249"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "2752 -420 496"
	"mins" "-320 -60 -272"
	"maxs" "320 60 272"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "1728 -432 468"
	"mins" "-704 -48 -300"
	"maxs" "704 48 300"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Block standing on hedges after warehouse
{
	"classname" "env_physics_blocker"
	"origin" "419 -1510 448"
	"mins" "-19 -280 -320"
	"maxs" "19 280 320"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Block standing on 2 porta potties by the shipping container
{
	"classname" "env_physics_blocker"
	"origin" "513 -1024 448"
	"mins" "-29 -30 -320"
	"maxs" "29 30 320"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "513 -880 448"
	"mins" "-29 -30 -320"
	"maxs" "29 30 320"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Block climbing on the generator before kiddyland
{
	"classname" "env_physics_blocker"
	"origin" "821 -169 98"
	"mins" "-5 -7 -98"
	"maxs" "5 7 98"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Block tents in kiddyland
; --- Group of 2 by closed rocket ride
{
	"classname" "env_physics_blocker"
	"origin" "-579 832 391"
	"mins" "-67 -64 -377"
	"maxs" "67 64 377"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "-579 672 391"
	"mins" "-67 -64 -377"
	"maxs" "67 64 377"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Group of 3 by closed rocket ride
{
	"classname" "env_physics_blocker"
	"origin" "-1280 1088 391"
	"mins" "-64 -64 -377"
	"maxs" "64 64 377"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "-1152 1072 391"
	"mins" "-64 -64 -377"
	"maxs" "64 64 377"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "-1152 1072 391"
	"mins" "-64 -64 -377"
	"maxs" "64 64 377"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "-1008 1104 391"
	"angles" "0 11.5 0"
	"mins" "-65 -65 -377"
	"maxs" "65 65 377"
	"boxmins" "-65 -65 -377"
	"boxmaxs" "65 65 377"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Group of 2 by the restrooms
{
	"classname" "env_physics_blocker"
	"origin" "-2976 1469 391"
	"mins" "-128 -67 -377"
	"maxs" "128 67 377"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Single tent by the restrooms
{
	"classname" "env_physics_blocker"
	"origin" "-2816 320 391"
	"mins" "-64 -64 -377"
	"maxs" "64 64 377"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Block hedges in kiddyland
{
	"classname" "env_physics_blocker"
	"origin" "-545 1255 394"
	"mins" "-33 -265 -374"
	"maxs" "33 265 374"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "-1106 1485 394"
	"mins" "-527.5 -35 -374"
	"maxs" "527.5 35 374"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "-2080 1485 394"
	"mins" "-129.5 -35 -374"
	"maxs" "129.5 35 374"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Block standing on the hotdog stand in kiddyland
{
	"classname" "env_physics_blocker"
	"origin" "-1784 1504 384"
	"mins" "-104 -32 -384"
	"maxs" "104 32 384"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "-1784 1444 384"
	"angles" "0 5 0"
	"mins" "-109 -52.5 -384"
	"maxs" "109 52.5 384"
	"boxmins" "-109 -52.5 -384"
	"boxmaxs" "109 52.5 384"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Block standing on the electrical box in kiddyland
{
	"classname" "env_physics_blocker"
	"origin" "-2669 1513 396"
	"mins" "-70 -24 -372"
	"maxs" "70 24 372"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Block top of unmarked building in kiddyland
{
	"classname" "env_physics_blocker"
	"origin" "-2432 769 407"
	"mins" "-208 -111.5 -361"
	"maxs" "208 111.5 361"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Block jumping on the awnings by the ice box in kiddyland
{
	"classname" "env_physics_blocker"
	"origin" "-3197 49 398"
	"mins" "-3.5 -133 -370"
	"maxs" "3.5 133 370"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Block jumping on the buggies ride
{
	"classname" "env_physics_blocker"
	"origin" "-1341 -1333 401"
	"angles" "0 10 0"
	"mins" "-106 -10 -367"
	"maxs" "106 10 367"
	"boxmins" "-106 -10 -367"
	"boxmaxs" "106 10 367"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "-1408 -1025 441"
	"mins" "-198 -198 -327"
	"maxs" "198 198 327"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Block jumping on the trains ride
{
	"classname" "env_physics_blocker"
	"origin" "-2114 -564 401"
	"angles" "0 10 0"
	"mins" "-106 -10 -367"
	"maxs" "106 10 367"
	"boxmins" "-106 -10 -367"
	"boxmaxs" "106 10 367"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "-2176 -256 441"
	"mins" "-198 -198 -327"
	"maxs" "198 198 327"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Block the group of tents by the generators in kiddyland
{
	"classname" "env_physics_blocker"
	"origin" "-2276 -882 383"
	"mins" "-64 -64 -385"
	"maxs" "64 64 385"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "-2274 -1016 383"
	"mins" "-64 -64 -385"
	"maxs" "64 64 385"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "-2278 -1154 383"
	"angles" "0 4 0"
	"mins" "-64 -64 -385"
	"maxs" "64 64 385"
	"boxmins" "-64 -64 -385"
	"boxmaxs" "64 64 385"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Block climbing on the generators in kiddyland
{
	"classname" "env_physics_blocker"
	"origin" "-2046 -1272 -30"
	"mins" "-6.5 -5.5 -98"
	"maxs" "6.5 5.5 98"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "-2415 -1462 -31"
	"mins" "-5.5 -6.5 -98"
	"maxs" "5.5 6.5 98"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Block climbing generator before the ladder
{
	"classname" "env_physics_blocker"
	"origin" "-3763 -1989 15"
	"mins" "-7.5 -4 -143"
	"maxs" "7.5 4 143"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Block rolling door and AC unit before the ladder that can prevent death punches
{
	"classname" "env_physics_blocker"
	"origin" "-4021 -1601 393"
	"mins" "-12 -68.5 -375.5"
	"maxs" "12 68.5 375.5"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "-4000 -1280 469"
	"mins" "-29 -60 -298.5"
	"maxs" "29 60 298.5"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Block standing on wooden supports for wall before the slide
{
	"classname" "env_physics_blocker"
	"origin" "-3146 -1189 544"
	"mins" "-126 -4.5 -225"
	"maxs" "126 4.5 225"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "-2853 -1536 544"
	"mins" "-4.5 -352 -225"
	"maxs" "4.5 352 225"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "-2996 -1884 544"
	"mins" "-62 -4.5 -225"
	"maxs" "62 4.5 225"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Block hedges by the slide
{
	"classname" "env_physics_blocker"
	"origin" "-1782 -1833 394"
	"mins" "-129.5 -33 -375"
	"maxs" "129.5 33 375"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "-1025 -3285 394"
	"mins" "-129.5 -43 -375"
	"maxs" "129.5 43 375"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Block climbing on the generator by the slide
{
	"classname" "env_physics_blocker"
	"origin" "-2343 -3287 15"
	"mins" "-7 -7 -143"
	"maxs" "7 7 143"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Block getting on the left platform at the one way drop
{
	"classname" "env_physics_blocker"
	"origin" "-1916 -4160 392"
	"mins" "-132 -320 -376"
	"maxs" "132 320 376"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Block jumping on the light post to common jump back up the one way drop
{
	"classname" "env_physics_blocker"
	"origin" "-2664 -4248 -18"
	"mins" "-12 -12 -50"
	"maxs" "12 12 50"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Block jumping on the ice machine to common jump back up the one way drop
{
	"classname" "env_physics_blocker"
	"origin" "-3400 -4124 -86"
	"mins" "-40 -28 -42.5"
	"maxs" "40 28 42.5"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Block hedges by the carousel
{
	"classname" "env_physics_blocker"
	"origin" "-4224 -4000 395"
	"mins" "-129 -22 -373"
	"maxs" "129 22 373"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "-3962 -4148 395"
	"mins" "-129 -22 -373"
	"maxs" "129 22 373"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "-743 -4813 395"
	"mins" "-23 -253.5 -373"
	"maxs" "23 253.5 373"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Block the hotdog stand by the carousel
{
	"classname" "env_physics_blocker"
	"origin" "-1509 -4414 383"
	"angles" "0 -3.5 0"
	"mins" "-109 -53 -385.5"
	"maxs" "109 53 385.5"
	"boxmins" "-109 -53 -385.5"
	"boxmaxs" "109 53 385.5"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Block tent by the carousel
{
	"classname" "env_physics_blocker"
	"origin" "-1089 -4703 390"
	"angles" "0 10 0"
	"mins" "-68 -65 -378.5"
	"maxs" "68 65 378.5"
	"boxmins" "-68 -65 -378.5"
	"boxmaxs" "68 65 378.5"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Block climbing generators by carousel
{
	"classname" "env_physics_blocker"
	"origin" "-2913 -5207 -30"
	"mins" "-4.5 -6.5 -98"
	"maxs" "4.5 6.5 98"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "-1291 -6211 -30"
	"mins" "-5.5 -6.5 -98"
	"maxs" "5.5 6.5 98"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "-2797 -6322 15"
	"mins" "-7.5 -4 -143"
	"maxs" "7.5 4 143"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "-3574 -5820 36"
	"mins" "-6.5 -5.5 -98"
	"maxs" "6.5 5.5 98"
	"initialstate" "1"
	"BlockType" "1"
}

; =====================================================
; ==                  OUT OF BOUNDS                  ==
; ==  Block players getting outside / under the map  ==
; =====================================================
add:
; --- Block an out of bounds spot behind a fence in kiddyland
{
	"classname" "env_physics_blocker"
	"origin" "-3460 576 433"
	"mins" "-8 -64 -335.5"
	"maxs" "8 64 335.5"
	"initialstate" "1"
	"BlockType" "1"
}

; =====================================================
; ==                   STUCK SPOTS                   ==
; ==  Prevent players from getting stuck in the map  ==
; =====================================================
add:
; --- Block players from falling behind hedges outside kiddyland (not actually stuck, but it LOOKS like a stuck spot to a player)
{
	"classname" "env_physics_blocker"
	"origin" "-4712 1183 -63"
	"mins" "-24 -286.5 -65"
	"maxs" "24 286.5 65"
	"initialstate" "1"
	"BlockType" "0"
}
; --- Block players from falling behind hedges outside the carousel area (not actually stuck, but it LOOKS like a stuck spot to a player)
{
	"classname" "env_physics_blocker"
	"origin" "-5093 -4204 -64"
	"mins" "-27 -405.5 -64"
	"maxs" "27 405.5 64"
	"initialstate" "1"
	"BlockType" "0"
}
; --- Block players from getting stuck behind hedges outside the carousel area
{
	"classname" "env_physics_blocker"
	"origin" "-4608 -3736 -64"
	"mins" "-512 -24 -64"
	"maxs" "512 24 64"
	"initialstate" "1"
	"BlockType" "0"
}
; --- Block a stuck spot out of bounds by the carousel
{
	"classname" "env_physics_blocker"
	"origin" "-1782 -7282 249"
	"mins" "-256 -14 -57"
	"maxs" "256 14 57"
	"initialstate" "1"
	"BlockType" "0"
}

; =====================================================
; ==                 NUISANCE CHANGES                ==
; ==      Clipping improvements, QOL map changes     ==
; =====================================================
add:
; --- Wrong way signs for the skybox in the area at the back of kiddyland
{
	"classname" "prop_dynamic"
	"origin" "-449 1723 53"
	"angles" "0 180 0"
	"model" "models/props_misc/wrongway_sign01_optimized.mdl"
	"solid" "0"
	"disableshadows" "1"
	"fademindist" "200"
	"fademaxdist" "300"
}
{
	"classname" "prop_dynamic"
	"origin" "-513 2139 53"
	"angles" "0 180 0"
	"model" "models/props_misc/wrongway_sign01_optimized.mdl"
	"solid" "0"
	"disableshadows" "1"
	"fademindist" "200"
	"fademaxdist" "300"
}
; --- Clipping on bottom of slide to prevent extreme ice-like movement
{
	"classname" "env_physics_blocker"
	"origin" "-2005 -2304 -101"
	"angles" "5.5 0 0"
	"mins" "-85 -240 -5"
	"maxs" "85 240 5"
	"boxmins" "-85 -240 -5"
	"boxmaxs" "85 240 5"
	"initialstate" "1"
	"BlockType" "0"
}
{
	"classname" "env_physics_blocker"
	"origin" "-2106 -2304 -82"
	"angles" "27 0 0"
	"mins" "-26 -240 -5"
	"maxs" "26 240 5"
	"boxmins" "-26 -240 -5"
	"boxmaxs" "26 240 5"
	"initialstate" "1"
	"BlockType" "0"
}
{
	"classname" "env_physics_blocker"
	"origin" "-2142 -2304 -52"
	"angles" "47.5 0 0"
	"mins" "-36 -240 -5"
	"maxs" "36 240 5"
	"boxmins" "-36 -240 -5"
	"boxmaxs" "36 240 5"
	"initialstate" "1"
	"BlockType" "0"
}
; --- Allow ghost infected to pass through the breakable walls at the event
modify:
{
	match:
	{
		"targetname" "courtyard_bldg1_clip"
	}
	replace:
	{
		"Solidity" "1"
	}
}
{
	match:
	{
		"targetname" "courtyard_bldg2_clip"
	}
	replace:
	{
		"Solidity" "1"
	}
}
; --- Allow the first team to take the gnome without completing the shooting gallery, like the second team can
{
	match:
	{
		"targetname" "shootgame_gnomecloset_trigger"
	}
	replace:
	{
		"StartDisabled" "0"
	}
	; --- Don't need to play this sound every round where someone walks past the gnome
	delete:
	{
		"OnTrigger" "gnome_ftw_soundPlaySound01"
	}
}
; --- Prevent trolls from activating the shooting gallery
{
	match:
	{
		"targetname" "shootinggame_start_button"
	}
	replace:
	{
		"spawnflags" "1"
	}
}


; ###########  ADDITIONAL PROPS AND SPAWNS  ###########
; =====================================================
; ==                      PROPS                      ==
; ==       New props for balance and SI spawns       ==
; =====================================================
add:
; --- Carnival sign on the closed game building next to the peanut gallery
{
	"classname" "prop_dynamic"
	"origin" "2720 -80 202"
	"angles" "0 180 0"
	"model" "models/props_urban/carnival_sign003.mdl"
	"solid" "6"
	"disableshadows" "1"
	"rendercolor" "22 202 254"
}
; --- Add collision to sign and block LOS 
{
	"classname" "logic_auto"
	"OnMapSpawn" "anv_mapfixes_losfix_gamehut_sign,AddOutput,mins -104 -2 -34,0,-1"
	"OnMapSpawn" "anv_mapfixes_losfix_gamehut_sign,AddOutput,maxs 104 2 34,0,-1"
	"OnMapSpawn" "anv_mapfixes_losfix_gamehut_sign,AddOutput,solid 2,0,-1"
}
{
	"classname" "func_brush"
	"origin" "2720 -82 208"
	"targetname" "anv_mapfixes_losfix_gamehut_sign"
}
{
	"classname" "env_physics_blocker"
	"origin" "2720 -82 208"
	"mins" "-104.1 -2.1 -34.1"
	"maxs" "104.1 2.1 34.1"
	"initialstate" "1"
	"BlockType" "0"
}
; --- Clipping on sign support
{
	"classname" "env_physics_blocker"
	"origin" "2720 -53 205"
	"angles" "0 0 -45"
	"mins" "-99 -40 -1"
	"maxs" "99 40 1"
	"boxmins" "-99 -40 -1"
	"boxmaxs" "99 40 1"
	"initialstate" "1"
	"BlockType" "2"
}
; --- Hegde by the guns near the peanut gallery
{
	"classname" "prop_dynamic"
	"origin" "3202 -872 44"
	"angles" "0 90 0"
	"model" "models/props_foliage/urban_hedge_128_64_high.mdl"
	"solid" "6"
	"disableshadows" "1"
}
; --- Move the trash bins by the forklift to behind some nearby tents for spawns
modify:
{
	match:
	{
		"hammerid" "1680567"
	}
	replace:
	{
		"origin" "3921 -1386 3"
		"angles" "0 0 0"
	}
}
{
	match:
	{
		"hammerid" "1680571"
	}
	replace:
	{
		"origin" "4049 -1556 3"
		"angles" "0 0 0"
	}
}
add:
; --- Small fence cover by the warehouse entrance
{
	"classname" "prop_dynamic"
	"origin" "3066 -1760 2"
	"angles" "0 0 0"
	"model" "models/props_urban/fence_cover001_64.mdl"
	"solid" "6"
	"disableshadows" "1"
}
; --- Concrete block to spawn behind and jump over the fences by the warehouse entrance
{
	"classname" "prop_dynamic"
	"origin" "3023 -1888 42"
	"angles" "0 90 -45"
	"model" "models/props_fortifications/concrete_block001_128_reference.mdl"
	"solid" "6"
	"disableshadows" "1"
}
; --- AC vent on the warehouse roof for spawns and to get on the upper roof section
{
	"classname" "prop_dynamic"
	"origin" "1484 -886 341"
	"angles" "0 0 0"
	"model" "models/props_rooftop/acvent03.mdl"
	"solid" "6"
	"disableshadows" "1"
}
; --- Clipping to help with jumping on the AC vent
{
	"classname" "env_physics_blocker"
	"origin" "1486 -887 354"
	"mins" "-37.5 -36.5 -4"
	"maxs" "37.5 36.5 4"
	"initialstate" "1"
	"BlockType" "2"
}
{
	"classname" "env_physics_blocker"
	"origin" "1486 -887 404"
	"mins" "-32.5 -33.5 -4"
	"maxs" "32.5 33.5 4"
	"initialstate" "1"
	"BlockType" "2"
}
{
	"classname" "env_physics_blocker"
	"origin" "1517 -887 461"
	"mins" "-2 -27 -6"
	"maxs" "2 27 6"
	"initialstate" "1"
	"BlockType" "2"
}
{
	"classname" "env_physics_blocker"
	"origin" "1519 -900 471"
	"mins" "-2 -14 -6"
	"maxs" "2 14 6"
	"initialstate" "1"
	"BlockType" "2"
}
; --- Fences on the train tracks in kiddyland
{
	"classname" "prop_dynamic"
	"origin" "-2366 204 132"
	"angles" "0 270 0"
	"model" "models/props_urban/fence001_128.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "-2366 204 132"
	"angles" "0 90 0"
	"model" "models/props_urban/fence_cover001_128.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "-2366 308 132"
	"angles" "0 270 0"
	"model" "models/props_urban/fence001_128.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "-2366 308 132"
	"angles" "0 270 0"
	"model" "models/props_urban/fence_cover001_128.mdl"
	"solid" "6"
	"disableshadows" "1"
}
; --- Trains on the kiddyland train tracks
{
	"classname" "prop_dynamic"
	"origin" "-2048 759 118"
	"angles" "0 270 0"
	"model" "models/props_fairgrounds/kiddyland_ridetrain.mdl"
	"solid" "6"
	"disableshadows" "1"
	"rendercolor" "169 90 56"
}
{
	"classname" "prop_dynamic"
	"origin" "-704 759 118"
	"angles" "0 90 0"
	"model" "models/props_fairgrounds/kiddyland_ridetrain.mdl"
	"solid" "6"
	"disableshadows" "1"
	"rendercolor" "74 104 149"
}
; --- Tent in kiddyland by the buggies ride
{
	"classname" "prop_dynamic"
	"origin" "-962 -762 -124"
	"angles" "0 90 0"
	"model" "models/props_misc/fairground_tent_closed.mdl"
	"solid" "6"
	"disableshadows" "1"
	"rendercolor" "83 152 189"
}
; --- Clipping for tent
{
	"classname" "env_physics_blocker"
	"origin" "-962 -762 391"
	"mins" "-64 -64 -377"
	"maxs" "64 64 377"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Small pipe to help infected jump into the room above the slanted roof in kiddyland, the pipe is only solid to infected
{
	"classname" "prop_dynamic"
	"origin" "-900 -1536 56"
	"angles" "0 0 0"
	"model" "models/props_urban/chimney002.mdl"
	"solid" "0"
	"disableshadows" "1"
}
; --- Clip to make pipe solid for infected
{
	"classname" "env_physics_blocker"
	"origin" "-900 -1536 72"
	"mins" "-4 -4 -17"
	"maxs" "4 4 17"
	"initialstate" "1"
	"BlockType" "2"
}
; --- Props under the slide pill room to make chipping through the fence more risky
{
	"classname" "prop_dynamic"
	"origin" "-2082 -3607 -128"
	"angles" "0 270 0"
	"model" "models/props_office/vending_machine01.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "-2150 -3606 -128"
	"angles" "0 180 0"
	"model" "models/props/cs_militia/boxes_frontroom.mdl"
	"solid" "6"
	"disableshadows" "1"
}
; --- Trains on the slide train tracks
{
	"classname" "prop_dynamic"
	"origin" "-1016 -3072 118"
	"angles" "0 0 0"
	"model" "models/props_fairgrounds/kiddyland_ridetrain.mdl"
	"solid" "6"
	"disableshadows" "1"
	"rendercolor" "169 90 56"
}
{
	"classname" "prop_dynamic"
	"origin" "-1216 -3072 118"
	"angles" "0 0 0"
	"model" "models/props_fairgrounds/kiddyland_ridetrain.mdl"
	"solid" "6"
	"disableshadows" "1"
	"rendercolor" "74 104 149"
}
; --- Props by the slide restrooms
{
	"classname" "prop_dynamic"
	"origin" "-1718 -2962 -126"
	"angles" "0 0 0"
	"model" "models/props_foliage/urban_hedge_256_128_high.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "-1720 -3209 47"
	"angles" "0 0 0"
	"model" "models/props_rooftop/acvent01.mdl"
	"solid" "6"
	"disableshadows" "1"
}
; --- Clipping on hedge
{
	"classname" "env_physics_blocker"
	"origin" "-1719 -2962 394"
	"mins" "-129 -22 -375"
	"maxs" "129 22 375"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Fence covers under the slide pill room
{
	"classname" "prop_dynamic"
	"origin" "-2080 -3838 -128"
	"angles" "0 90 0"
	"model" "models/props_urban/fence_cover001_64.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "-2399 -3838 -128"
	"angles" "0 90 0"
	"model" "models/props_urban/fence_cover001_64.mdl"
	"solid" "6"
	"disableshadows" "1"
}
; --- Props to help with LOSing before the carousel
{
	"classname" "prop_dynamic"
	"origin" "-1855 -4478 -121"
	"angles" "0 90 0"
	"model" "models/props_urban/fence001_128.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "-1855 -4478 -121"
	"angles" "0 90 0"
	"model" "models/props_urban/fence_cover001_128.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "-2527 -3918 -124"
	"angles" "0 90 0"
	"model" "models/props_office/vending_machine01.mdl"
	"solid" "6"
	"disableshadows" "1"
}
; --- Hedge by the stairs leading to the end saferoom
{
	"classname" "prop_dynamic"
	"origin" "-3071 -6180 -123"
	"angles" "0 180 0"
	"model" "models/props_foliage/urban_hedge_256_128_high.mdl"
	"solid" "6"
	"disableshadows" "1"
	"rendercolor" "218 200 184"
	"lightingorigin" "hedge_lighting"
}
{
	"classname" "info_target"
	"origin" "-2924 -6274 -127"
	"targetname" "hedge_lighting"
}
; --- Open tent by the end saferoom with concert equipment inside
{
	"classname" "prop_dynamic"
	"origin" "-3396 -5986 -64"
	"angles" "0 0 0"
	"model" "models/props_misc/fairground_tent_open.mdl"
	"solid" "6"
	"disableshadows" "1"
	"rendercolor" "201 162 80"
}
{
	"classname" "prop_dynamic"
	"origin" "-3442 -5958 -64"
	"angles" "0 0 0"
	"model" "models/props_fairgrounds/anvil_case_64.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "-3442 -5942 -32"
	"angles" "0 0 0"
	"model" "models/props_fairgrounds/anvil_case_32.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "-3442 -5942 0"
	"angles" "0 0 0"
	"model" "models/props_fairgrounds/anvil_case_32.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "-3442 -5974 -32"
	"angles" "0 0 0"
	"model" "models/props_fairgrounds/anvil_case_32.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "-3350 -6014 -64"
	"angles" "0 0 0"
	"model" "models/props_fairgrounds/anvil_case_64.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "-3349 -6014 -35"
	"angles" "0 0 0"
	"model" "models/props_fairgrounds/amp_stack.mdl"
	"solid" "6"
	"disableshadows" "1"
}
; --- Clipping on top of tent
{
	"classname" "env_physics_blocker"
	"origin" "-3396 -5986 421"
	"mins" "-64 -64 -347.5"
	"maxs" "64 64 347.5"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Porta potties by the end saferoom
{
	"classname" "prop_dynamic"
	"origin" "-3558 -5104 -64"
	"angles" "0 180 0"
	"model" "models/props_urban/outhouse001.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "-3558 -5040 -64"
	"angles" "0 180 0"
	"model" "models/props_urban/outhouse001.mdl"
	"solid" "6"
	"disableshadows" "1"
}
; --- Clipping on porta potties
{
	"classname" "env_physics_blocker"
	"origin" "-3558 -5072 412"
	"mins" "-28 -60 -356"
	"maxs" "28 60 356"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Vending machine by the end saferoom
{
	"classname" "prop_dynamic"
	"origin" "-3947 -5309 -63"
	"angles" "0 180 0"
	"model" "models/props_office/vending_machine01.mdl"
	"solid" "6"
	"disableshadows" "1"
}
; --- Clipping on vending machine
{
	"classname" "env_physics_blocker"
	"origin" "-3950 -5322 400"
	"mins" "-24.5 -20.5 -368"
	"maxs" "24.5 20.5 368"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Props in the end saferoom queuing area
{
	"classname" "prop_dynamic"
	"origin" "-4385 -5327 -12"
	"angles" "75 90 0"
	"model" "models/props_fairgrounds/swan_boat.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "-4293 -5111 -10"
	"angles" "-41.5 180 -180"
	"model" "models/props_fairgrounds/swan_boat.mdl"
	"solid" "6"
	"disableshadows" "1"
}

; =====================================================
; ==                   LADDER NERF                   ==
; ==         Nerf ladder attacks for infected        ==
; =====================================================
add:
; --- Clone another rooftop to block most of the roof behind the ladder to prevent unavoidable booms
; --- Thanks Wicket for the original idea! (and Valve for accidently making some rooftops here a func_brush)
{
	"classname" "func_brush"
	"origin" "-4520 -760 394"
	"angles" "0 0 0"
	"model" "*83"
	"StartDisabled" "0"
	"spawnflags" "2"
	"Solidity" "2"
}
{
	"classname" "func_brush"
	"origin" "-4520.1 -759.9 394"
	"angles" "0 180 0"
	"model" "*83"
	"StartDisabled" "0"
	"spawnflags" "2"
	"Solidity" "2"
}
{
	"classname" "func_brush"
	"origin" "-4592 -676 290"
	"angles" "0 0 0"
	"model" "*83"
	"StartDisabled" "0"
	"spawnflags" "2"
	"Solidity" "2"
}
{
	"classname" "func_brush"
	"origin" "-4520 -760 242"
	"angles" "0 0 180"
	"model" "*83"
	"StartDisabled" "0"
	"spawnflags" "2"
	"Solidity" "2"
}
{
	"classname" "func_brush"
	"origin" "-4520.1 -760.1 242"
	"angles" "0 180 180"
	"model" "*83"
	"StartDisabled" "0"
	"spawnflags" "2"
	"Solidity" "2"
}
; --- AC vent on the side of the new roof to prevent some spawns from being too safe
{
	"classname" "prop_dynamic"
	"origin" "-4081 -985 338"
	"angles" "0 270 0"
	"model" "models/props_rooftop/acunit01.mdl"
	"solid" "6"
	"disableshadows" "1"
}
; --- Block a stuck spot on the lower roof
{
	"classname" "env_physics_blocker"
	"origin" "-4072.5 -534.5 276"
	"mins" "-8 -50 -43"
	"maxs" "8 50 43"
	"initialstate" "1"
	"BlockType" "2"
}
; --- Prop to cover up the stuck spot blocker
{
	"classname" "prop_dynamic"
	"origin" "-4104 -536 306"
	"angles" "0 0 0"
	"model" "models/props/de_nuke/ventilationduct02large.mdl"
	"solid" "0"
	"disableshadows" "1"
}


; ############  MAP SOUND AND GFX CHANGES  ############
; =====================================================
; ==                  SOUND REMOVAL                  ==
; ==    Remove or adjust sounds played by the map    ==
; =====================================================

; =====================================================
; ==             GFX / PARTICLES REMOVAL             ==
; ==        Remove visual effects from the map       ==
; =====================================================


; ###############  TRIGGERS AND BRUSHES  ##############
; =====================================================
; ==                   CLIP REMOVAL                  ==
; ==      Remove miscellaneous clips and brushes     ==
; =====================================================
; --- Remove TLS infected clips after loading
add:
{
	"classname" "logic_auto"
	; --- Clip in area behind kiddyland
	"OnMapSpawn" "anv_mapfixes_yeswayfairback_funcinfclip,Kill,,15,-1"
	; --- Clip on end saferoom roof
	"OnMapSpawn" "anv_mapfixes_meticulous_funcinfclip01,Kill,,15,-1"
	"OnMapSpawn" "anv_mapfixes_meticulous_funcinfclip02,Kill,,15,-1"
}

; =====================================================
; ==              TRIGGER REMOVAL / FIX              ==
; ==    Fix triggers that interfere with gameplay    ==
; =====================================================
; --- Remove the trigger that prevents fall damage on the slide
filter:
{
	"hammerid" "3065028"
}


; #############  LADDER CHANGES AND FIXES  ############
; =====================================================
; ==             LADDER ADDITIONS / FIXES            ==
; ==              Add or change ladders              ==
; =====================================================
add:
; --- Infected ladder in the center of the wall by the game buildings, on the scavenge area side
{
	"classname" "func_simpleladder"
	"origin" "1.5 -310 0"
	"angles" "0 0 0"
	"model" "*90"
	"normal.x" "-1.00"
	"normal.y" "0.00"
	"normal.z" "0.00"
	"team" "2"
}
; --- Infected ladder out of bounds behind the refreshments building at the start
{
	"classname" "func_simpleladder"
	"origin" "1311 352 -82"
	"angles" "0 0 0"
	"model" "*192"
	"normal.x" "1.00"
	"normal.y" "0.00"
	"normal.z" "0.00"
	"team" "2"
}
; --- Infected ladder out of bounds behind the unmarked building by the 2 hotdog stands at the start
{
	"classname" "func_simpleladder"
	"origin" "4838 1 -17"
	"angles" "0 270 0"
	"model" "*192"
	"normal.x" "0.00"
	"normal.y" "-1.00"
	"normal.z" "0.00"
	"team" "2"
}
; --- Infected ladders in the warehouse at the start
{
	"classname" "func_simpleladder"
	"origin" "1141 -4625 -25"
	"angles" "0 90 0"
	"model" "*13"
	"normal.x" "1.00"
	"normal.y" "0.00"
	"normal.z" "0.00"
	"team" "2"
}
{
	"classname" "func_simpleladder"
	"origin" "-928 250 -25"
	"angles" "0 0 0"
	"model" "*13"
	"normal.x" "0.00"
	"normal.y" "-1.00"
	"normal.z" "0.00"
	"team" "2"
}
{
	"classname" "func_simpleladder"
	"origin" "5344 -2826 -25"
	"angles" "0 180 0"
	"model" "*13"
	"normal.x" "0.00"
	"normal.y" "1.00"
	"normal.z" "0.00"
	"team" "2"
}
{
	"classname" "func_simpleladder"
	"origin" "453 -4625 -25"
	"angles" "0 90 0"
	"model" "*13"
	"normal.x" "1.00"
	"normal.y" "0.00"
	"normal.z" "0.00"
	"team" "2"
}
{
	"classname" "func_simpleladder"
	"origin" "3067 2048 -25"
	"angles" "0 270 0"
	"model" "*13"
	"normal.x" "-1.00"
	"normal.y" "0.00"
	"normal.z" "0.00"
	"team" "2"
}
{
	"classname" "func_simpleladder"
	"origin" "-267 -4224 -25"
	"angles" "0 90 0"
	"model" "*13"
	"normal.x" "1.00"
	"normal.y" "0.00"
	"normal.z" "0.00"
	"team" "2"
}
{
	"classname" "func_simpleladder"
	"origin" "3043 1647 -25"
	"angles" "0 270 0"
	"model" "*13"
	"normal.x" "-1.00"
	"normal.y" "0.00"
	"normal.z" "0.00"
	"team" "2"
}
{
	"classname" "func_simpleladder"
	"origin" "85 -4456 -25"
	"angles" "0 90 0"
	"model" "*13"
	"normal.x" "1.00"
	"normal.y" "0.00"
	"normal.z" "0.00"
	"team" "2"
}
; --- Infected ladders to climb up the sides of the kiddyland ramp
{
	"classname" "func_simpleladder"
	"origin" "554 357.5 -128"
	"angles" "0 270 0"
	"model" "*188"
	"normal.x" "0.00"
	"normal.y" "-1.00"
	"normal.z" "0.00"
	"team" "2"
}
{
	"classname" "func_simpleladder"
	"origin" "-1399 -869.5 -168"
	"angles" "0 90 0"
	"model" "*188"
	"normal.x" "0.00"
	"normal.y" "1.00"
	"normal.z" "0.00"
	"team" "2"
}
; --- Infected ladder to climb into the monorail platform area from the tents at the bottom of the ramp
{
	"classname" "func_simpleladder"
	"origin" "-1128 -3601.5 -148"
	"angles" "0 90 0"
	"model" "*192"
	"normal.x" "0.00"
	"normal.y" "1.00"
	"normal.z" "0.00"
	"team" "2"
}
; --- Infected ladder to climb on the slanted roof in kiddyland
{
	"classname" "func_simpleladder"
	"origin" "256 371 -2"
	"angles" "0 0 0"
	"model" "*52"
	"normal.x" "0.00"
	"normal.y" "1.00"
	"normal.z" "0.00"
	"team" "2"
}
; --- Prop for ladder
{
	"classname" "prop_dynamic"
	"origin" "-928 -1424 -3"
	"angles" "0 180 0"
	"model" "models/props_rooftop/gutter_pipe_128.mdl"
	"solid" "6"
	"disableshadows" "1"
}
; --- Infected ladders on the opposite side of the telephone poles in kiddyland
{
	"classname" "func_simpleladder"
	"origin" "-1568 0 0"
	"angles" "0 180 0"
	"model" "*43"
	"normal.x" "0.00"
	"normal.y" "1.00"
	"normal.z" "0.00"
	"team" "2"
}
{
	"classname" "func_simpleladder"
	"origin" "-3937 1022 0"
	"angles" "0 180 0"
	"model" "*44"
	"normal.x" "0.00"
	"normal.y" "1.00"
	"normal.z" "0.00"
	"team" "2"
}
{
	"classname" "func_simpleladder"
	"origin" "-3647 -3168 0"
	"angles" "0 180 0"
	"model" "*51"
	"normal.x" "-1.00"
	"normal.y" "0.00"
	"normal.z" "0.00"
	"team" "2"
}
; --- Infected ladder to climb on the tents before the alley in kiddyland
{
	"classname" "func_simpleladder"
	"origin" "-3234 -960 -151"
	"angles" "0 0 0"
	"model" "*37"
	"normal.x" "-1.00"
	"normal.y" "0.00"
	"normal.z" "0.00"
	"team" "2"
}
; --- Infected ladder on the hotdog cart by the slide
{
	"classname" "func_simpleladder"
	"origin" "187 -117 -9"
	"angles" "0 0 0"
	"model" "*31"
	"normal.x" "-1.00"
	"normal.y" "0.00"
	"normal.z" "0.00"
	"team" "2"
}
; --- Infected ladder to climb over the carousell fence from inside
{
	"classname" "func_simpleladder"
	"origin" "-4576 -9710 0"
	"angles" "0 180 0"
	"model" "*106"
	"normal.x" "0.00"
	"normal.y" "-1.00"
	"normal.z" "0.00"
	"team" "2"
}
; --- Infected ladder to climb on tent above the button to start the event
{
	"classname" "func_simpleladder"
	"origin" "-978 -3659 57"
	"angles" "0 0 0"
	"model" "*46"
	"normal.x" "0.00"
	"normal.y" "1.00"
	"normal.z" "0.00"
	"team" "2"
}


; #######  MISCELLANEOUS / MAP SPECIFIC CHANGES  ######
; =====================================================
; ==             STARTING SAFEROOM REWORK            ==
; ==         Rework the starting saferoom hit        ==
; =====================================================
add:
; --- Add a food cart in front of the saferoom
{
	"classname" "prop_dynamic"
	"origin" "2135 2716 -2"
	"angles" "0 15 0"
	"model" "models/props_fairgrounds/foodcart.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic_override"
	"origin" "2094 2669 109"
	"angles" "0 105 0"
	"model" "models/props_signs/sign_horizontal_05.mdl"
	"solid" "0"
	"disableshadows" "1"
}
; --- Block foodcart for survivors
{
	"classname" "env_physics_blocker"
	"origin" "2135 2718 249"
	"angles" "0 15 0"
	"mins" "-55 -109 -129"
	"maxs" "55 109 129"
	"boxmins" "-55 -109 -129"
	"boxmaxs" "55 109 129"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Block the desk in the back of saferoom
{
	"classname" "prop_dynamic"
	"origin" "1604 2882 85"
	"angles" "0 270 91.5"
	"model" "models/props_office/desk_01.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "1604 2940 85"
	"angles" "0 270 91.5"
	"model" "models/props_office/desk_01.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "1588 2912 67"
	"mins" "-21 -52 -65"
	"maxs" "21 52 65"
	"initialstate" "1"
	"BlockType" "0"
}
; --- Sign on roof
{
	"classname" "prop_dynamic"
	"origin" "1730 2728 197"
	"angles" "0 270 0"
	"model" "models/props_urban/carnival_sign003.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "1703 2728 173"
	"angles" "0 0 0"
	"model" "models/props_fairgrounds/concession_sign_01.mdl"
	"solid" "6"
	"disableshadows" "1"
}
; --- Add collision to sign and block LOS 
{
	"classname" "logic_auto"
	"OnMapSpawn" "anv_mapfixes_losfix_saferoom_sign,AddOutput,mins -2 -104 -45,0,-1"
	"OnMapSpawn" "anv_mapfixes_losfix_saferoom_sign,AddOutput,maxs 2 104 45,0,-1"
	"OnMapSpawn" "anv_mapfixes_losfix_saferoom_sign,AddOutput,solid 2,0,-1"
}
{
	"classname" "func_brush"
	"origin" "1732 2728 192"
	"targetname" "anv_mapfixes_losfix_saferoom_sign"
}
{
	"classname" "env_physics_blocker"
	"origin" "1732 2728 192"
	"mins" "-2.1 -104.1 -45.1"
	"maxs" "2.1 104.1 45.1"
	"initialstate" "1"
	"BlockType" "0"
}
; --- Clip ramp behind sign
{
	"classname" "env_physics_blocker"
	"origin" "1702 2728 208"
	"angles" "-45 0 0"
	"mins" "-40 -106.5 -1"
	"maxs" "40 106.5 1"
	"boxmins" "-40 -106.5 -1"
	"boxmaxs" "40 106.5 1"
	"initialstate" "1"
	"BlockType" "0"
}
; --- Concrete walls on roof
; --- Set 1
{
	"classname" "prop_dynamic"
	"origin" "1659 2594 169"
	"angles" "90 0 0"
	"model" "models/props_urban/concreteblock_wall002.mdl"
	"solid" "6"
	"disableshadows" "1"
	"disablereceiveshadows" "1"
	"rendercolor" "140 192 221"
}
{
	"classname" "prop_dynamic"
	"origin" "1659 2658 169"
	"angles" "90 0 0"
	"model" "models/props_urban/concreteblock_wall002.mdl"
	"solid" "6"
	"disableshadows" "1"
	"disablereceiveshadows" "1"
	"rendercolor" "140 192 221"
}
{
	"classname" "prop_dynamic"
	"origin" "1659 2722 169"
	"angles" "90 0 0"
	"model" "models/props_urban/concreteblock_wall002.mdl"
	"solid" "6"
	"disableshadows" "1"
	"disablereceiveshadows" "1"
	"rendercolor" "140 192 221"
}
{
	"classname" "prop_dynamic"
	"origin" "1659 2786 169"
	"angles" "90 0 0"
	"model" "models/props_urban/concreteblock_wall002.mdl"
	"solid" "6"
	"disableshadows" "1"
	"disablereceiveshadows" "1"
	"rendercolor" "140 192 221"
}
{
	"classname" "prop_dynamic"
	"origin" "1659 2850 169"
	"angles" "90 0 0"
	"model" "models/props_urban/concreteblock_wall002.mdl"
	"solid" "6"
	"disableshadows" "1"
	"disablereceiveshadows" "1"
	"rendercolor" "140 192 221"
}
{
	"classname" "prop_dynamic"
	"origin" "1659 2914 169"
	"angles" "90 0 0"
	"model" "models/props_urban/concreteblock_wall002.mdl"
	"solid" "6"
	"disableshadows" "1"
	"disablereceiveshadows" "1"
	"rendercolor" "140 192 221"
}
{
	"classname" "prop_dynamic"
	"origin" "1659 2978 169"
	"angles" "90 0 0"
	"model" "models/props_urban/concreteblock_wall002.mdl"
	"solid" "6"
	"disableshadows" "1"
	"disablereceiveshadows" "1"
	"rendercolor" "140 192 221"
}
; --- Set 2
{
	"classname" "prop_dynamic"
	"origin" "1569 2594 169"
	"angles" "90 0 0"
	"model" "models/props_urban/concreteblock_wall002.mdl"
	"solid" "6"
	"disableshadows" "1"
	"disablereceiveshadows" "1"
	"rendercolor" "140 192 221"
}
{
	"classname" "prop_dynamic"
	"origin" "1569 2658 169"
	"angles" "90 0 0"
	"model" "models/props_urban/concreteblock_wall002.mdl"
	"solid" "6"
	"disableshadows" "1"
	"disablereceiveshadows" "1"
	"rendercolor" "140 192 221"
}
{
	"classname" "prop_dynamic"
	"origin" "1569 2722 169"
	"angles" "90 0 0"
	"model" "models/props_urban/concreteblock_wall002.mdl"
	"solid" "6"
	"disableshadows" "1"
	"disablereceiveshadows" "1"
	"rendercolor" "140 192 221"
}
{
	"classname" "prop_dynamic"
	"origin" "1569 2786 169"
	"angles" "90 0 0"
	"model" "models/props_urban/concreteblock_wall002.mdl"
	"solid" "6"
	"disableshadows" "1"
	"disablereceiveshadows" "1"
	"rendercolor" "140 192 221"
}
{
	"classname" "prop_dynamic"
	"origin" "1569 2850 169"
	"angles" "90 0 0"
	"model" "models/props_urban/concreteblock_wall002.mdl"
	"solid" "6"
	"disableshadows" "1"
	"disablereceiveshadows" "1"
	"rendercolor" "140 192 221"
}
{
	"classname" "prop_dynamic"
	"origin" "1569 2914 169"
	"angles" "90 0 0"
	"model" "models/props_urban/concreteblock_wall002.mdl"
	"solid" "6"
	"disableshadows" "1"
	"disablereceiveshadows" "1"
	"rendercolor" "140 192 221"
}
{
	"classname" "prop_dynamic"
	"origin" "1569 2978 169"
	"angles" "90 0 0"
	"model" "models/props_urban/concreteblock_wall002.mdl"
	"solid" "6"
	"disableshadows" "1"
	"disablereceiveshadows" "1"
	"rendercolor" "140 192 221"
}
; --- Wall 1 - Top
{
	"classname" "prop_dynamic"
	"origin" "1656.95 2570.05 164.95"
	"angles" "90 0 0"
	"model" "models/props_urban/concreteblock_corner001.mdl"
	"solid" "6"
	"disableshadows" "1"
	"disablereceiveshadows" "1"
	"rendercolor" "140 192 221"
}
{
	"classname" "prop_dynamic"
	"origin" "1565 2570.05 164.95"
	"angles" "90 0 0"
	"model" "models/props_urban/concreteblock_corner001.mdl"
	"solid" "6"
	"disableshadows" "1"
	"disablereceiveshadows" "1"
	"rendercolor" "140 192 221"
}
; --- Wall 1 - Bottom
{
	"classname" "prop_dynamic"
	"origin" "1657 2570 156"
	"angles" "90 0 0"
	"model" "models/props_urban/concreteblock_corner001.mdl"
	"solid" "6"
	"disableshadows" "1"
	"disablereceiveshadows" "1"
	"rendercolor" "140 192 221"
}
{
	"classname" "prop_dynamic"
	"origin" "1565 2570 156"
	"angles" "90 0 0"
	"model" "models/props_urban/concreteblock_corner001.mdl"
	"solid" "6"
	"disableshadows" "1"
	"disablereceiveshadows" "1"
	"rendercolor" "140 192 221"
}
; --- Wall 2 - Top
{
	"classname" "prop_dynamic"
	"origin" "1740.95 2578 164.95"
	"angles" "90 90 0"
	"model" "models/props_urban/concreteblock_corner001.mdl"
	"solid" "6"
	"disableshadows" "1"
	"disablereceiveshadows" "1"
	"rendercolor" "140 192 221"
}
{
	"classname" "prop_dynamic"
	"origin" "1740.95 2670 164.95"
	"angles" "90 90 0"
	"model" "models/props_urban/concreteblock_corner001.mdl"
	"solid" "6"
	"disableshadows" "1"
	"disablereceiveshadows" "1"
	"rendercolor" "140 192 221"
}
{
	"classname" "prop_dynamic"
	"origin" "1740.95 2762 164.95"
	"angles" "90 90 0"
	"model" "models/props_urban/concreteblock_corner001.mdl"
	"solid" "6"
	"disableshadows" "1"
	"disablereceiveshadows" "1"
	"rendercolor" "140 192 221"
}
{
	"classname" "prop_dynamic"
	"origin" "1740.95 2854 164.95"
	"angles" "90 90 0"
	"model" "models/props_urban/concreteblock_corner001.mdl"
	"solid" "6"
	"disableshadows" "1"
	"disablereceiveshadows" "1"
	"rendercolor" "140 192 221"
}
{
	"classname" "prop_dynamic"
	"origin" "1740.95 2918 164.95"
	"angles" "90 90 0"
	"model" "models/props_urban/concreteblock_corner001.mdl"
	"solid" "6"
	"disableshadows" "1"
	"disablereceiveshadows" "1"
	"rendercolor" "140 192 221"
}
; --- Wall 2 - Bottom
{
	"classname" "prop_dynamic"
	"origin" "1741 2578 156"
	"angles" "90 90 0"
	"model" "models/props_urban/concreteblock_corner001.mdl"
	"solid" "6"
	"disableshadows" "1"
	"disablereceiveshadows" "1"
	"rendercolor" "140 192 221"
}
{
	"classname" "prop_dynamic"
	"origin" "1741 2670 156"
	"angles" "90 90 0"
	"model" "models/props_urban/concreteblock_corner001.mdl"
	"solid" "6"
	"disableshadows" "1"
	"disablereceiveshadows" "1"
	"rendercolor" "140 192 221"
}
{
	"classname" "prop_dynamic"
	"origin" "1741 2762 156"
	"angles" "90 90 0"
	"model" "models/props_urban/concreteblock_corner001.mdl"
	"solid" "6"
	"disableshadows" "1"
	"disablereceiveshadows" "1"
	"rendercolor" "140 192 221"
}
{
	"classname" "prop_dynamic"
	"origin" "1741 2854 156"
	"angles" "90 90 0"
	"model" "models/props_urban/concreteblock_corner001.mdl"
	"solid" "6"
	"disableshadows" "1"
	"disablereceiveshadows" "1"
	"rendercolor" "140 192 221"
}
{
	"classname" "prop_dynamic"
	"origin" "1740.90 2918 156"
	"angles" "90 90 0"
	"model" "models/props_urban/concreteblock_corner001.mdl"
	"solid" "6"
	"disableshadows" "1"
	"disablereceiveshadows" "1"
	"rendercolor" "140 192 221"
}
; --- Stop infected falling in the small gap
{
	"classname" "env_physics_blocker"
	"origin" "1563 2787 160"
	"mins" "-6 -223.5 -13"
	"maxs" "6 223.5 13"
	"initialstate" "1"
	"BlockType" "0"
}
; --- Clip the pipes
{
	"classname" "env_physics_blocker"
	"origin" "1653 2786 177"
	"mins" "-11 -31 -5"
	"maxs" "11 31 5"
	"initialstate" "1"
	"BlockType" "0"
}
{
	"classname" "env_physics_blocker"
	"origin" "1653 2786 187"
	"mins" "-10 -30 -5"
	"maxs" "10 30 5"
	"initialstate" "1"
	"BlockType" "0"
}
; --- Infected ladder to get on the extended saferoom roof
{
	"classname" "func_simpleladder"
	"origin" "-890 1121 -14.5"
	"angles" "0 0 0"
	"model" "*166"
	"normal.x" "0.00"
	"normal.y" "-1.00"
	"normal.z" "0.00"
	"team" "2"
}
; --- Infected ladder to climb on the foodcart
{
	"classname" "func_simpleladder"
	"origin" "4621 6822 46"
	"angles" "0 0 0"
	"model" "*65"
	"normal.x" "1.00"
	"normal.y" "0.00"
	"normal.z" "0.00"
	"team" "2"
}
; --- Clipping for ladder
{
	"classname" "env_physics_blocker"
	"origin" "2182 2750 60"
	"angles" "0 60 0"
	"mins" "-4 -8 -60"
	"maxs" "4 8 60"
	"boxmins" "-4 -8 -60"
	"boxmaxs" "4 8 60"
	"initialstate" "1"
	"BlockType" "0"
}

; =====================================================
; ==                CUT SCAVENGE AREA                ==
; ==         Open up an area before kiddyland        ==
; =====================================================
; --- Remove the fence at the ramp leading to kiddyland
filter:
; --- Clipbrush
{
	"hammerid" "3171799"
}
; --- Fence props
{
	"hammerid" "130846"
}
{
	"hammerid" "130957"
}
; --- Nav blocker
{
	"hammerid" "3747548"
}
; --- EXPLOITS
add:
; --- Block survivors from getting on the game buildings
{
	"classname" "env_physics_blocker"
	"origin" "1472 0 444"
	"mins" "-194 -162 -324"
	"maxs" "194 162 324"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "1472 640 444"
	"mins" "-162 -194 -324"
	"maxs" "162 194 324"
	"initialstate" "1"
	"BlockType" "1"
}
; --- PROPS
add:
; --- Add a sign to one of the buildings to help with spawning
;{
;	"classname" "prop_dynamic"
;	"origin" "1472 53 178"
;	"angles" "0 90 0"
;	"model" "models/props_fairgrounds/concession_sign_02.mdl"
;	"solid" "6"
;	"disableshadows" "1"
;}
; --- Clipping on sign supports
;{
;	"classname" "env_physics_blocker"
;	"origin" "1472 52 206"
;	"angles" "0 0 45"
;	"mins" "-99 -40 -1"
;	"maxs" "99 40 1"
;	"boxmins" "-99 -40 -1"
;	"boxmaxs" "99 40 1"
;	"initialstate" "1"
;	"BlockType" "2"
;}
; --- Add an additional vent on the rides building, in line with the vent added by TLS
{
	"classname" "prop_dynamic"
	"origin" "923 900 222"
	"angles" "0 0 0"
	"model" "models/props_rooftop/acvent03.mdl"
	"solid" "6"
	"disableshadows" "1"
}
; --- Fix the placement of the plastic table and chairs
modify:
{
	match:
	{
		"hammerid" "316299"
	}
	replace:
	{
		"origin" "960 896.638 2"
	}
}
{
	match:
	{
		"hammerid" "316303"
	}
	replace:
	{
		"origin" "964.183 952 2"
	}
}
{
	match:
	{
		"hammerid" "316307"
	}
	replace:
	{
		"origin" "985.459 865.531 2"
	}
}
; --- ITEMS
add:
; --- Add pistol/deagle and melee spawns to new area
{
	"classname" "weapon_spawn"
	"origin" "1686 -278 33"
	"angles" "0 259.5 -90"
	"weapon_selection" "any_pistol"
	"spawn_without_director" "1"
	"solid" "6"
	"disableshadows" "1"
	"spawnflags" "2"
	"count" "5"
}
{
	"classname" "weapon_melee_spawn"
	"origin" "1208 296 32"
	"angles" "0 60 -90"
	"melee_weapon" "any"
	"spawn_without_director" "1"
	"solid" "0"
	"disableshadows" "1"
	"spawnflags" "2"
	"count" "1"
}
; --- Add a potential pill spawn on one of the game buildings
{
	"classname" "weapon_pain_pills_spawn"
	"origin" "1341 -74 42"
	"angles" "0 0 0"
}

; =====================================================
; ==               C2M3 SAFEROOM REWORK              ==
; ==        Props from reworked c2m3 saferoom        ==
; =====================================================
add:
; --- Railings by the door
{
	"classname" "prop_dynamic"
	"origin" "-5025 -5554 -64"
	"angles" "0 270 0"
	"model" "models/props_urban/wood_railing001_128.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "-4929 -5554 -64"
	"angles" "0 270 0"
	"model" "models/props_urban/wood_railing001_64.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "-4895 -5554 -64"
	"angles" "0 270 0"
	"model" "models/props_urban/wood_railing_post001.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "-5025 -5460 -64"
	"angles" "0 270 0"
	"model" "models/props_urban/wood_railing001_128.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "-4929 -5460 -64"
	"angles" "0 270 0"
	"model" "models/props_urban/wood_railing001_64.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "-4895 -5460 -64"
	"angles" "0 270 0"
	"model" "models/props_urban/wood_railing_post001.mdl"
	"solid" "6"
	"disableshadows" "1"
}
; --- Plants by the door
{
	"classname" "prop_dynamic"
	"origin" "-5004 -5596 -64"
	"angles" "0 5.5 0"
	"model" "models/props_foliage/urban_pot_bigplant01.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "-5000 -5416 -57"
	"angles" "0 75.5 -75"
	"model" "models/props_foliage/urban_pot_bigplant01.mdl"
	"solid" "6"
	"disableshadows" "1"
}
; --- Tunnel of Love heart
{
	"classname" "prop_dynamic"
	"origin" "-4639 -5504 68"
	"angles" "0 0 0"
	"model" "models/props_fairgrounds/tol_tunnel_heart.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "-4640 -5504 -128"
	"angles" "0 180 -180"
	"model" "models/props_fairgrounds/tol_tunnel_heart.mdl"
	"solid" "6"
	"disableshadows" "1"
	"lightingorigin" "tol_heart_lighting"
}
; --- Fix lighting origin
{
	"classname" "info_target"
	"origin" "-4639 -5504 68"
	"targetname" "tol_heart_lighting"
}
; --- Swans
{
	"classname" "prop_dynamic"
	"origin" "-4563 -5415 -64"
	"angles" "0 180 0"
	"model" "models/props_fairgrounds/swan_boat.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "-5086 -5506 -11"
	"angles" "79 0 0"
	"model" "models/props_fairgrounds/swan_boat.mdl"
	"solid" "6"
	"disableshadows" "1"
}
; --- Clipping inside swan
{
	"classname" "env_physics_blocker"
	"origin" "-4548 -5414 -44"
	"mins" "-30 -22.5 -8"
	"maxs" "30 22.5 8"
	"initialstate" "1"
	"BlockType" "0"
}
; --- Fences
{
	"classname" "prop_dynamic"
	"origin" "-4494 -5617 -64"
	"angles" "0 90 0"
	"model" "models/props_fortifications/police_barrier001_128_reference.mdl"
	"solid" "6"
	"disableshadows" "1"
	"skin" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "-4497 -5605 -64"
	"angles" "0 90 0"
	"model" "models/props_fortifications/police_barrier001_128_reference.mdl"
	"solid" "6"
	"disableshadows" "1"
	"skin" "1"
}
; --- Gnome
{
	"classname" "prop_dynamic"
	"origin" "-4658 -5632 -64"
	"angles" "0 90 0"
	"model" "models/props_fairgrounds/gnome_closet.mdl"
	"solid" "6"
	"disableshadows" "1"
	"targetname" "fake_gnome_closet"
}
{
	"classname" "logic_auto"
	"OnMapSpawn" "gnome_capture_trigger,AddOutput,mins -12 -11 -21,0,-1"
	"OnMapSpawn" "gnome_capture_trigger,AddOutput,maxs 12 11 21,0,-1"
	"OnMapSpawn" "gnome_capture_trigger,AddOutput,boxmins -12 -11 -21,0,-1"
	"OnMapSpawn" "gnome_capture_trigger,AddOutput,boxmaxs 12 11 21,0,-1"
	"OnMapSpawn" "gnome_capture_trigger,AddOutput,solid 2,0,-1"
}
{
	"classname" "trigger_once"
	"origin" "-4668 -5621 -44"
	"targetname" "gnome_capture_trigger"
	"filtername" "gnome_filter"
	"spawnflags" "8"
	"OnStartTouch" "!activator,Kill,,0,-1"
	"OnStartTouch" "fake_gnome,AddOutput,origin -4676 -5628 -52,0,-1"
	"OnStartTouch" "gnome_hello,PlaySound,,0,-1"
	"OnStartTouch" "gnome_success,Start,,0,-1"
	"OnStartTouch" "gnome_trick1,Enable,,0,-1"
	"OnStartTouch" "button_gnome_trick1,AddOutput,origin -4668 -5622 -14,0.5,-1"
}
{
	"classname" "filter_activator_model"
	"origin" "-4764 -5621 -44"
	"targetname" "gnome_filter"
	"model" "models/props_junk/gnome.mdl"
}
{
	"classname" "prop_dynamic_override"
	"origin" "-4676 -5628 -152"
	"angles" "0 270 0"
	"model" "models/props_junk/gnome.mdl"
	"solid" "0"
	"disableshadows" "1"
	"targetname" "fake_gnome"
}
{
	"classname" "ambient_generic"
	"origin" "-4668 -5608 0"
	"message" "Lilpeanut.GALLERY_SPAWN"
	"targetname" "gnome_hello"
	"spawnflags" "48"
	"radius" "0"
	"pitchstart" "100"
	"pitch" "100"
	"health" "10"
	"volstart" "10"
}
{
	"classname" "ambient_generic"
	"origin" "-4668 -5608 0"
	"message" "npc\moustachio\strengthattract05.wav"
	"targetname" "gnome_trick1_snd"
	"spawnflags" "48"
	"radius" "0"
	"pitchstart" "100"
	"pitch" "100"
	"health" "10"
	"volstart" "10"
}
{
	"classname" "ambient_generic"
	"origin" "-4668 -5608 0"
	"message" "npc\moustachio\strengthbreakmachine.wav"
	"targetname" "gnome_trick2_snd"
	"spawnflags" "48"
	"radius" "0"
	"pitchstart" "100"
	"pitch" "100"
	"health" "10"
	"volstart" "10"
}
{
	"classname" "ambient_generic"
	"origin" "-4668 -5608 0"
	"message" "npc\virgil\c3end52.wav"
	"targetname" "gnome_trick3_snd"
	"spawnflags" "48"
	"radius" "0"
	"pitchstart" "100"
	"pitch" "100"
	"health" "10"
	"volstart" "10"
}
{
	"classname" "info_particle_system"
	"origin" "-4681 -5628 48"
	"angles" "-30 0 0"
	"targetname" "gnome_success"
	"effect_name" "string_lights_heart_02"
	"start_active" "0"
	"cpoint1" "gnome_hearts_endpoint"
}
{
	"classname" "info_particle_system"
	"origin" "-4681 -5628 48"
	"angles" "-30 180 0"
	"targetname" "gnome_success"
	"effect_name" "string_lights_heart_02"
	"start_active" "0"
	"cpoint1" "gnome_hearts_endpoint"
}
{
	"classname" "info_particle_target"
	"origin" "-4681 -5628 2"
	"angles" "90 180 0"
	"targetname" "gnome_hearts_endpoint"
}
{
	"classname" "script_func_button"
	"origin" "-4668 -5622 -214"
	"angles" "0 0 0"
	"extent" "12 5 13"
	"targetname" "button_gnome_trick1"
	"spawnflags" "1025"
	"wait" "1"
	"glow" "gnome_trick1"
	"OnPressed" "gnome_trick1,Kill,,0,-1"
	"OnPressed" "button_gnome_trick1,AddOutput,origin -4668 -5622 -214,0.5,-1"
	"OnPressed" "button_gnome_trick2,AddOutput,origin -4668 -5622 -14,1.5,-1"
	"OnPressed" "gnome_trick1_snd,PlaySound,,0,-1"
	"OnPressed" "gnome_trick2,Enable,,1.5,-1"
	"OnPressed" "button_gnome_trick2,Unlock,,1.5,-1"
}
{
	"classname" "prop_dynamic"
	"origin" "-4668 -5622 -26"
	"angles" "0 270 0"
	"model" "models/w_models/weapons/w_eq_painpills.mdl"
	"solid" "0"
	"disableshadows" "1"
	"targetname" "gnome_trick1"
	"startdisabled" "1"
}
{
	"classname" "script_func_button"
	"origin" "-4668 -5622 -214"
	"angles" "0 0 0"
	"extent" "12 5 13"
	"targetname" "button_gnome_trick2"
	"spawnflags" "1025"
	"wait" "1"
	"glow" "gnome_trick2"
	"OnPressed" "gnome_trick2,Kill,,0,-1"
	"OnPressed" "button_gnome_trick2,AddOutput,origin -4668 -5622 -214,0.5,-1"
	"OnPressed" "button_gnome_trick3,AddOutput,origin -4668 -5622 -14,2.5,-1"
	"OnPressed" "gnome_trick2_snd,PlaySound,,0,-1"
	"OnPressed" "gnome_trick3,Enable,,2.5,-1"
	"OnPressed" "button_gnome_trick3,Unlock,,2.5,-1"
}
{
	"classname" "prop_dynamic"
	"origin" "-4668 -5622 -26"
	"angles" "0 270 0"
	"model" "models/w_models/weapons/w_eq_medkit.mdl"
	"solid" "0"
	"disableshadows" "1"
	"targetname" "gnome_trick2"
	"startdisabled" "1"
}
{
	"classname" "script_func_button"
	"origin" "-4668 -5622 -214"
	"angles" "0 0 0"
	"extent" "12 5 13"
	"targetname" "button_gnome_trick3"
	"spawnflags" "1025"
	"wait" "1"
	"glow" "gnome_trick3"
	"OnPressed" "gnome_trick3,Kill,,0,-1"
	"OnPressed" "button_gnome_trick3,AddOutput,origin -4668 -5622 -214,0.5,-1"
	"OnPressed" "gnome_trick3_snd,PlaySound,,0,-1"
	"OnPressed" "gnome_explosion,Explode,,3,-1"
	"OnPressed" "gnome_explosion_snd,PlaySound,,3,-1"
	"OnPressed" "fake_gnome,Kill,,3,-1"
	"OnPressed" "fake_gnome_closet,Kill,,3,-1"
}
{
	"classname" "prop_dynamic"
	"origin" "-4668 -5622 -26"
	"angles" "0 270 0"
	"model" "models/w_models/weapons/w_eq_defibrillator.mdl"
	"solid" "0"
	"disableshadows" "1"
	"targetname" "gnome_trick3"
	"startdisabled" "1"
}
{
	"classname" "env_explosion"
	"origin" "-4668 -5621 -44"
	"spawnflags" "1"
	"targetname" "gnome_explosion"
	"iMagnitude" "0"
	"iRadiusOverride" "30"
	"fireballsprite" "sprites/zerogxplode.spr"
}
{
	"classname" "ambient_generic"
	"origin" "-4668 -5608 0"
	"message" "junkyard.plane_engine_explosion"
	"targetname" "gnome_explosion_snd"
	"spawnflags" "48"
	"radius" "0"
	"pitchstart" "100"
	"pitch" "100"
	"health" "10"
	"volstart" "10"
}
{
	"classname" "ambient_generic"
	"origin" "-4668 -5608 0"
	"message" "Lilpeanut.GALLERY_HIT"
	"targetname" "gnome_explosion_snd"
	"spawnflags" "48"
	"radius" "0"
	"pitchstart" "100"
	"pitch" "100"
	"health" "10"
	"volstart" "10"
}

; =====================================================
; ==                  SAFEROOM ITEMS                 ==
; ==    Saferoom item spawns - ammo piles, weapons   ==
; =====================================================
add:
; ---add chrome and silenced smg in saferoom
{
	"classname" "weapon_spawn"
	"origin" "3214 -619 0"
	"angles" "0 180 -90"
	"weapon_selection" "weapon_shotgun_chrome"
	"spawn_without_director" "1"
	"solid" "6"
	"disableshadows" "1"
	"spawnflags" "2"
	"count" "5"
}
{
	"classname" "weapon_spawn"
	"origin" "3157 -619 1"
	"angles" "0 180 -90"
	"weapon_selection" "weapon_smg_silenced"
	"spawn_without_director" "1"
	"solid" "6"
	"disableshadows" "1"
	"spawnflags" "2"
	"count" "5"
}